//serialPort(ttyUSB0).		/* when using a arduino board */
serialPort(ttyEmulatedPort0).	/* when using the simulIDE */


/* Initial goals */
!start.

/* Plans */
+!start: serialPort(Port) <- .port(Port); .limit(1000); .percepts(open).

+device(D): D = arduinoWithLCDKeypadShield <- 
	.percepts(close); 
	.random(R); .wait(3000*R);
	.act(greenAlert);
	.wait(3000*R);
	.my_name(N); .concat(N," is online!",LCDMessage);
	.print(LCDMessage); !infoLCD(LCDMessage); 
	.wait(3000*R); .percepts(open). 

+rainLast24hrs(RainStatus) <- .print("New perception-> rainLevel: ",RainStatus," mm"). 
+humidity(H) <- .print("New perception-> humidity: ",H," %"). 
+temperature(T) <- .print("New perception-> temperature: ",T," Celsius").

+!infoLCD(Message) <- .act(Message).
+!yellowAlert <- .act(yellowAlert).
+!greenAlert <- .act(greenAlert).
+!redAlert <- .act(redAlert).
